---
title: HTMLMediaElement.sinkId
slug: Web/API/HTMLMediaElement/sinkId
tags:
  - API
  - Audio
  - Experimental
  - Extensions
  - HTMLMediaElement
  - Media
  - Property
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>HTMLMediaElement.sinkId</code></strong> read-only property returns a {{domxref("DOMString")}} that is the unique ID of the audio device delivering output. If it is using the user agent default, it returns an empty string. This ID should be one of the {{domxref("MediaDeviceInfo.deviceId")}} values returned from {{domxref("MediaDevices.enumerateDevices()")}}, <code>id-multimedia</code>, or <code>id-communications</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sinkId</em> = HTMLMediaElement.sinkId</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Audio Output','#dom-htmlmediaelement-sinkid','sinkId')}}</td>
   <td>{{Spec2('Audio Output')}}</td>
   <td>Initial definition. Older versions of this spec were called "Media Capture Output".</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.sinkId")}}</p>
